> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET (/serviceconfigs/{scid}/sessiontemplates/{sessionTemplateName}/sessions/{sessionName})

> GET (/serviceconfigs/{scid}/sessiontemplates/{sessionTemplateName}/sessions/{sessionName})

# GET (/serviceconfigs/{scid}/sessiontemplates/{sessionTemplateName}/sessions/{sessionName})

Gets a session object.

> **Important:**\
> This URI method requires a header element of X-Xbl-Contract-Version: 104/105 or later on every request.

* [Remarks](#ID4ET)
* [URI parameters](#ID4EMB)
* [HTTP status codes](#ID4EZB)
* [Request body](#ID4E6B)
* [Response body](#ID4EKC)

<a id="ID4ET" />

## Remarks

This HTTP/REST method reads a session document for the specified name and retrieves the session. On success, it returns the session object, with all its attributes, obtained from the server. This method can be wrapped by **Microsoft.Xbox.Services.Multiplayer.MultiplayerService.GetCurrentSessionAsync**. The parameters for the GET method directly parallel those specified in the **MultiplayerSessionReference** object for the session, passed in the *sessionReference* parameter of **GetCurrentSessionAsync**.

The wire format for the GET method is shown below.

```cpp theme={null}
GET /serviceconfigs/00000000-0000-0000-0000-000000000000/sessiontemplates/quick/sessions/00000000-0000-0000-0000-000000000001 HTTP/1.1
      Content-Type: application/json

```

<a id="ID4EMB" />

## URI parameters

\| Parameter| Type| Description|
\| --- | --- | --- | --- |
\| scid| GUID| Service configuration identifier (SCID). Part 1 of the session identifier.|
\| sessionTemplateName| string| Name of the current instance of the session template. Part 2 of the session identifier.|
\| sessionName| GUID| Unique ID of the session. Part 3 of the session identifier.|

<a id="ID4EZB" />

## HTTP status codes

The service returns an HTTP status code as it applies to MPSD.

<a id="ID4E6B" />

## Request body

No objects are sent in the body of this request.

<a id="ID4EKC" />

## Response body

See the response structure in [MultiplayerSession (JSON)](/reference/live/rest/json/json-multiplayersession).

<a id="ID4ETC" />

## See also

<a id="ID4EVC" />

##### Parent

[/serviceconfigs/{scid}/sessiontemplates/{sessionTemplateName}/sessions/{sessionName}](/reference/live/rest/uri/sessiondirectory/uri-serviceconfigsscidsessiontemplatessessiontemplatenamesessionssessionname)


## Related topics

- [XblMultiplayerSessionReference](/reference/live/xsapi-c/multiplayer_c/structs/xblmultiplayersessionreference.md)
- [XblMultiplayerSessionReferenceCreate](/reference/live/xsapi-c/multiplayer_c/functions/xblmultiplayersessionreferencecreate.md)
- [XblMultiplayerSessionReferenceUri](/reference/live/xsapi-c/multiplayer_c/structs/xblmultiplayersessionreferenceuri.md)
- [Multiplayer Session Directory overview](/services/xbox-services/multiplayer/mpsd/live-mpsd-overview.md)
- [XblMultiplayerManagerJoinGame](/reference/live/xsapi-c/multiplayer_manager_c/functions/xblmultiplayermanagerjoingame.md)
